Altibase.jdbc.driver.logging

## Class CallableStmtLoggingProxy

- java.lang.Object
- - Altibase.jdbc.driver.logging.LoggingProxy
  - - Altibase.jdbc.driver.logging.StatementLoggingProxy
    - - Altibase.jdbc.driver.logging.PreparedStmtLoggingProxy
      - - Altibase.jdbc.driver.logging.CallableStmtLoggingProxy

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

    public class CallableStmtLoggingProxy
    extends PreparedStmtLoggingProxy

java.sql.CallableStatement 인터페이스를 hooking하는 Proxy클래스

Author:
  yjpark

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.logging.StatementLoggingProxy

`METHOD_PREFIX_EXECUTE`

### Fields inherited from class Altibase.jdbc.driver.logging.LoggingProxy

`JDBC_LOGGER_ASYNCFETCH, JDBC_LOGGER_CM, JDBC_LOGGER_DEFAULT, JDBC_LOGGER_FAILOVER, JDBC_LOGGER_POOL, JDBC_LOGGER_ROWSET, JDBC_LOGGER_XA, METHOD_PREFIX_CLOSE, mLogger, mTarget, mTargetName`

### Constructor Summary

Constructors
Constructor and Description
`CallableStmtLoggingProxy(java.lang.Object aTarget, java.sql.Connection aConn)`

### Method Summary

### Methods inherited from class Altibase.jdbc.driver.logging.PreparedStmtLoggingProxy

`getUniqueId, logSql`

### Methods inherited from class Altibase.jdbc.driver.logging.StatementLoggingProxy

`createProxyWithReturnValue, logSqlTiming`

### Methods inherited from class Altibase.jdbc.driver.logging.LoggingProxy

`invoke, logClose, logReturnValue, makeArgStr`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CallableStmtLoggingProxy

    public CallableStmtLoggingProxy(java.lang.Object aTarget,
                                    java.sql.Connection aConn)